
Redmine - Defect #18984

migrate_from_mantis with NoMethodError: strftime

2015-01-30 19:08 - Paulo Moreira

Status: Resolved Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I am migrating from Mantis 1.1.8 to Redmine 2.6.1.stable

Using: rake --trace redmine:migrate_from_mantis RAILS_ENV="production"

I get the following error:

NoMethodError: undefined method `strftime' for 1411982898:Fixnum

I have applied: #10504

But with no success.

Any hints?

Related issues:

Related to Redmine - Defect #10504: migrate_from_mantis script fails on first... Resolved

History

#1 - 2015-01-30 19:34 - Toshi MARUYAMA

- Category set to Importers

#2 - 2015-01-30 19:35 - Toshi MARUYAMA

- Description updated

#3 - 2015-01-30 19:35 - Toshi MARUYAMA

- Related to Defect #10504: migrate_from_mantis script fails on first project when trying to update version dates added

#4 - 2015-02-02 16:52 - Paulo Moreira

- File patch_strftime_error added

- Status changed from New to Resolved

With the following changes:

1. Bug files

-    bug.bug_files.each do |file|

-      a = Attachment.new :created_on => file.date_added

+    bug.bug_files.each do |file|

+      a = Attachment.new :created_on => Time.at(file.date_added)

The problem is resolved!

Attached patch

Files

patch_strftime_error 448 Bytes 2015-02-02 Paulo Moreira
